#ifndef KYSEC_FILE_TYPE_H
#define KYSEC_FILE_TYPE_H

//kysec文件类型
enum e_object_type {
	object_program = 0,	//可执行程序
	object_library,		//共享库
	object_script,		//可执行脚本
	object_kmodule,		//内核模块
	object_other		//其他类型
};

#ifdef __cplusplus
extern "C" {
#endif

//获取文件类型
int parse_file_type(const char *filename);

#ifdef __cplusplus
}
#endif

#endif //KYSEC_FILE_TYPE_H
